#ifndef PSYNCNOTIFY_IPC_INTERFACE_H
#define PSYNCNOTIFY_IPC_INTERFACE_H

#include <sync_global.h>

//Адрес для локального сокета, использующегося программой
#ifndef GLOBAL_SERVICE_IPC_DIR
	#define PSYNCNOTIFY_IPC_NAME "psyncnotify"
#else
	#define PSYNCNOTIFY_IPC_NAME GLOBAL_SERVICE_IPC_DIR.append("psyncnotify").c_str()
#endif

#define PSYNCNOTIFY_NOTIFICATION_MESSAGE	1          //Обычное уведомление, пришедшее от модуля синхронизации
#define PSYNCNOTIFY_FILERECV_PROGRESS		2
#define PSYNCNOTIFY_FILERECV_COMPLETED		3
#define PSYNCNOTIFY_FILERECV_ERROR			4
#define PSYNCNOTIFY_FILESEND_PROGRESS		5
#define PSYNCNOTIFY_FILESEND_COMPLETED		6
#define PSYNCNOTIFY_FILESEND_ERROR			7
#define PSYNCNOTIFY_FILERECV_NOSPACE		8
#define PSYNCNOTIFY_HTTP_ERROR			9

#define PSYNCNOTIFY_SHOW_TRAY_ICON		100
#define PSYNCNOTIFY_HIDE_TRAY_ICON		101
#define PSYNCNOTIFY_SYNC_ENABLED		200
#define PSYNCNOTIFY_SYNC_DISABLED		201
#define PSYNCNOTIFY_SYNC_START			300
#define PSYNCNOTIFY_SYNC_STOP			301

#endif // PSYNCNOTIFY_IPC_INTERFACE_H
